"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _withStyles = require("../helpers/withStyles");
var _reactWithStyles = require("react-with-styles");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var propTypes = _extends({}, _reactWithStyles.withStylesPropTypes);
var Card = function Card(_ref) {
  var children = _ref.children,
    css = _ref.css,
    styles = _ref.styles;
  return /*#__PURE__*/_react.default.createElement("div", css(styles.card), children);
};
Card.propTypes = propTypes;
var CardWithStyles = (0, _withStyles.withStyles)(function (_ref2) {
  var color = _ref2.color,
    units = _ref2.units,
    radius = _ref2.radius;
  return {
    card: {
      width: '100%',
      borderBottomLeftRadius: units(0.6),
      borderBottomRightRadius: units(0.6),
      '-webkit-box-shadow': '0px 10px 13px rgba(17, 38, 146, 0.05)',
      'box-shadow': '0px 10px 13px rgba(17, 38, 146, 0.05)'
    }
  };
})(Card);
var _default = CardWithStyles;
exports.default = _default;