"use strict";

exports.__esModule = true;
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactGoogleMaps = require("react-google-maps");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; _setPrototypeOf(subClass, superClass); }
function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf ? Object.setPrototypeOf.bind() : function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }
var defaultProps = {
  path: [{
    lat: -19.9322014,
    lng: -43.9246216
  }],
  options: {
    fillColor: '#ee430e',
    strokeColor: '#ee430e',
    strokeWeight: 1,
    fillOpacity: .3,
    strokeOpacity: .5
  }
};
var MapPolygon = /*#__PURE__*/function (_Component) {
  _inheritsLoose(MapPolygon, _Component);
  function MapPolygon() {
    return _Component.apply(this, arguments) || this;
  }
  var _proto = MapPolygon.prototype;
  _proto.render = function render() {
    var _this = this;
    var _this$props = this.props,
      draggable = _this$props.draggable,
      editable = _this$props.editable,
      path = _this$props.path,
      onEdit = _this$props.onEdit,
      options = _this$props.options,
      removeMarker = _this$props.removeMarker,
      _onMouseOut = _this$props.onMouseOut,
      _onMouseOver = _this$props.onMouseOver,
      _onClick = _this$props.onClick;
    return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, /*#__PURE__*/_react.default.createElement(_reactGoogleMaps.Polygon, {
      draggable: draggable,
      editable: editable,
      ref: function ref(polygon) {
        return _this.polygon = polygon;
      },
      path: path,
      onMouseUp: function onMouseUp() {
        return _this.polygon && onEdit && onEdit(_this.polygon.getPath());
      },
      options: options,
      onClick: function onClick() {
        return _onClick && _onClick();
      },
      onMouseOut: function onMouseOut() {
        return _onMouseOut && _onMouseOut();
      },
      onMouseOver: function onMouseOver() {
        return _onMouseOver && _onMouseOver();
      }
    }), !removeMarker && /*#__PURE__*/_react.default.createElement(_reactGoogleMaps.Marker, {
      position: path[0],
      visible: false
    }));
  };
  return MapPolygon;
}(_react.Component);
MapPolygon.defaultProps = defaultProps;
var _default = MapPolygon;
exports.default = _default;